Name:           mdsh
Version:        0.7.0
Release:        1%{?dist}
Summary:        Markdown shell pre-processor

License:        MIT
URL:            https://crates.io/crates/mdsh
Source0:        https://raw.githubusercontent.com/zimbatm/mdsh/main/LICENSE

BuildRequires:  cargo

%description
The mdsh project describes a Markdown language extension
that can be used to automate some common tasks in README.md
files. Quite often I find myself needing to embed a snippet of code or
markdown from a different file. Or I want to show the output of a
command. In both cases this can be done manually, but what all you had
to do was run mdsh and have the file updated automatically?

So the goal of this tool is first to extend the syntax of Markdown in
a natural way. Something that you might type. And if the mdsh tool is
run, the related blocks get updated in place. Most other tools would
produce a new file but we really want a sort of idempotent operation
here.

In the end this gives a tool that is a bit akin to literate
programming or jupyer notebooks but for shell commands. It adds a bit
of verbosity to the file and in exchange it allows to automate the
refresh of those outputs.


%prep
cp %SOURCE0 .

%build

%install
cargo install %{name} --root %{buildroot}%{_prefix}
strip %{buildroot}%{_bindir}/mdsh
rm %{buildroot}%{_prefix}/.crates*


%check
%{buildroot}%{_bindir}/mdsh --version | grep %{version}


%files
%license LICENSE
%{_bindir}/mdsh


%changelog
* Thu Oct 19 2023 Jens Petersen <petersen@redhat.com>
- initial copr package
